Search
K
lodgement v1

Add Title To Workspace

Add title to workspace to be retrieved from HMLR using Title number

post
https://api.pexa.co.uk/partner/api/platformconnect/v1/workspaces/{workspace_id}/titles

Path Parameters

workspace_idstring(uuid)required

Workspace id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json
titleNumberstringrequired

Title number format: optional 0-3 letters + 1-6 digits

Match pattern:^[A-Za-z]{0,3}\d{1,6}$

Example:ABC123456

Response

application/json

ACCEPTED

messagestringrequired

Example:Request taken up for processing

post/partner/api/platformconnect/v1/workspaces/{workspace_id}/titles

Body

{ "titleNumber": "ABC123456" }
 
application/json

Approve or Unapprove Lodgement Applications

This endpoint is used by conveyancing law firms to approve a lodgement case so the workspace can be prepared.

post
https://api.pexa.co.uk/partner/api/platformconnect/v1/workspaces/{workspace_id}/lodgement-approvals

Path Parameters

workspace_idstring(uuid)required

Workspace id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json
actionstringrequired

Action to perform on lodgement applications
Allowed values: [APPROVE, UNAPPROVE]

Match pattern:^(APPROVE|UNAPPROVE)$

Example:APPROVE

approvedBystringrequired

Email address of the user who performed the approval action

Match pattern:^$|(?:[A-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[A-z0-9](?:[A-z0-9-]*[A-z0-9])?\.)+[A-z0-9](?:[A-z0-9-]*[A-z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[A-z0-9-]*[A-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5A\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])

>= 1 characters

Example:approver@lawfirm.com

Response

application/json

ACCEPTED

lodgementCaseIdstring(uuid)required

Lodgement case id for which the applications will be approved or unapproved

post/partner/api/platformconnect/v1/workspaces/{workspace_id}/lodgement-approvals

Body

{ "action": "APPROVE", "approvedBy": "approver@lawfirm.com" }
 
application/json

CreateTitleRequest

object
titleNumberstringrequired

Title number format: optional 0-3 letters + 1-6 digits

Match pattern:^[A-Za-z]{0,3}\d{1,6}$

Example:ABC123456

Example

AcknowledgementResponse

object
messagestringrequired

Example:Request taken up for processing

Example

LodgementApprovalsRequest

object
actionstringrequired

Action to perform on lodgement applications
Allowed values: [APPROVE, UNAPPROVE]

Match pattern:^(APPROVE|UNAPPROVE)$

Example:APPROVE

approvedBystringrequired

Email address of the user who performed the approval action

Match pattern:^$|(?:[A-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[A-z0-9](?:[A-z0-9-]*[A-z0-9])?\.)+[A-z0-9](?:[A-z0-9-]*[A-z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[A-z0-9-]*[A-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5A\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])

>= 1 characters

Example:approver@lawfirm.com

Example